<template>
  <el-bus-crud v-bind="tableConfig" />
</template>

<script>
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/flower/markup/pl/list',
        hasPagination: false,
        columns: [
          { label: '序号', type: 'index' },
          { label: '价格区间(元)', formatter: this.formatRange },
          { label: '加价(元)', prop: 'fee' },
        ],
        beforeOpen: (row, isNew) => {
          if (!isNew) {
            row.lowerPriceStr = this.formatRange(row)
          }
        },
        form: [
          {
            label: '价格区间：',
            id: 'lowerPrice',
            component: 'el-bus-number-range',
            el: {
              unit: '元',
            },
            commonFormat: true,
            commonFormatProps: ['lowerPrice', 'upperPrice'],
            commonRules: true,
            commonRulesLevel: 1,
            str: true,
          },
          {
            label: '加价：',
            id: 'fee',
            type: 'input-number',
            el: {
              precision: 2,
              min: 0,
            },
            unit: '元',
            rules: { required: true, message: '请输入加价', trigger: 'blur' },
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '区间加价',
    }
  },
  methods: {
    formatRange(row) {
      let str = ''
      if (!this.$elBusUtil.isTrueEmpty(row.lowerPrice)) {
        str += `${row.lowerPrice}元<`
      }
      str += '底价'
      if (!this.$elBusUtil.isTrueEmpty(row.upperPrice)) {
        str += `≤${row.upperPrice}元`
      }
      return str
    },
  },
}
</script>

<style lang="scss" scoped></style>
